WideImage

# Class: WideImage_Font_PS

Source Location: /Font/PS.php

### Class Overview

PS font support class

### Variables

- $color
- $handle
- $size

### Methods

- __construct
- __destruct
- writeText

### Class Details

[line 30]
PS font support class
[ Top ]

### Class Variables

#### $color =

[line 33]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $handle =

[line 34]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $size =

[line 32]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 36]

`WideImage_Font_PS __construct( $file, $size, $color, [ $bgcolor = null])`

#### Parameters:

| $file |
| $size |
| $color |
| $bgcolor |

[ Top ]

### destructor __destruct [line 55]

`void __destruct( )`

[ Top ]

### method writeText [line 47]

`void writeText( $image, $x, $y, $text, [ $angle = 0])`

#### Parameters:

| $image |
| $x |
| $y |
| $text |
| $angle |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:43 +0100 by phpDocumentor 1.4.3